Due to a recent update on Javascript code a full page refresh on your browser might be needed.

Bug 1643290

Summary: [RFE] [Code Cleanup] Deduplicate filter/sort/pagination elements into ListViewToolbar renderers
Product: Red Hat CloudForms Management Engine Reporter: Mike Turley <mturley>
Component: V2VAssignee: Brett Thurber <bthurber>
Status: CLOSED ERRATA QA Contact: Kedar Kulkarni <kkulkarn>
Severity: low Docs Contact: Red Hat CloudForms Documentation <cloudforms-docs>
Priority: medium    
Version: 5.10.0CC: fdupont, simaishi, smallamp
Target Milestone: GAKeywords: FutureFeature
Target Release: 5.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.10.0.22 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-07 23:03:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mike Turley 2018-10-25 20:18:07 UTC
GH PR: https://github.com/ManageIQ/manageiq-v2v/pull/736

This is a refactor with no changes to actual functionality. To test it, we should simply verify that filtering, sorting and pagination all continues to work on the Migration Plans Not Started, Migration Plans Completed/Archived, and Infrastructure Mappings list views.

Comment 2 CFME Bot 2018-10-26 22:10:46 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/8d09776f52828bdf107316997cc480cc1dc580d8
commit 8d09776f52828bdf107316997cc480cc1dc580d8
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Fri Oct 26 10:39:06 2018 -0400
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Fri Oct 26 10:39:06 2018 -0400

    Merge pull request #736 from mturley/listviewtoolbar-renderers

    [Code Cleanup] Deduplicate filter/sort/pagination elements into ListViewToolbar renderers

    (cherry picked from commit ccdc0deeab40332c457d4f8a03c2121f435bd40f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1643290

 app/javascript/react/screens/App/Mappings/components/InfrastructureMappingsList/InfrastructureMappingsList.js | 104 +-
 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsCompletedList.js | 118 +-
 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsNotStartedList.js | 118 +-
 app/javascript/react/screens/App/common/ListViewToolbar/ListViewToolbar.js | 127 +-
 4 files changed, 146 insertions(+), 321 deletions(-)

Comment 3 Kedar Kulkarni 2018-11-08 19:41:16 UTC
On 5.10.0.23 sort/filtering works as expected.

Comment 4 errata-xmlrpc 2019-02-07 23:03:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212